Package: groovy.util

## [Java] Enum ObservableMap.ChangeType

- groovy.util.ObservableMap.ChangeType

-     public enum ObservableMap.ChangeType

  Enumerates the specialized map change events.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ADDED` | A property was added.
    `CLEARED` | The map was cleared.
    `MULTI` | Multiple property changes were aggregated.
    `NONE` | No specialized change type applies.
    `REMOVED` | A property was removed.
    `UPDATED` | A property was updated.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Object` | `newValue` | Placeholder new value for aggregated events.
    `static Object` | `oldValue` | Placeholder old value for aggregated events.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static ObservableMap.ChangeType` | `resolve(int ordinal)` Resolves an enum constant from its ordinal.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ObservableMap.ChangeType ADDED

      A property was added.

    - #### ObservableMap.ChangeType CLEARED

      The map was cleared.

    - #### ObservableMap.ChangeType MULTI

      Multiple property changes were aggregated.

    - #### ObservableMap.ChangeType NONE

      No specialized change type applies.

    - #### ObservableMap.ChangeType REMOVED

      A property was removed.

    - #### ObservableMap.ChangeType UPDATED

      A property was updated.

  - ### Field Detail

    - #### public static final Object newValue

      Placeholder new value for aggregated events.

    - #### public static final Object oldValue

      Placeholder old value for aggregated events.

  - ### Method Detail

    - #### public static ObservableMap.ChangeType resolve(int ordinal)

      Resolves an enum constant from its ordinal.

      Parameters:
        `ordinal` - the serialized ordinal value
      Returns:
        the matching change type